#
# spec file for package git (Version 1.6.2.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define gitexecdir %{_exec_prefix}/lib/git

Name:           git
%if 0%{?suse_version} < 1030
%define dist_has_fdupes 0
%else
%define dist_has_fdupes 1
%endif
BuildRequires:  asciidoc
BuildRequires:  curl-devel
%if %{dist_has_fdupes}
BuildRequires:  fdupes
%endif
%if 0%{?suse_version} < 1030
BuildRequires:  openssl-devel
%else
BuildRequires:  libopenssl-devel
%endif
BuildRequires:  sgml-skel
BuildRequires:  xmlto
Version:        1.6.2.4
Release:        1
Summary:        Fast, scalable, distributed revision control system
License:        GPL v2 or later
Group:          Development/Tools/Version Control
Url:            http://git-scm.com
Source0:        http://kernel.org/pub/software/scm/git/%name-%{version}.tar.bz2
Source1:        apache2-gitweb.conf
Source2:        sysconfig.git-daemon
Source3:        git-daemon.init
Source4:        git.xinetd
Source5:        usr.share.git-web.gitweb.cgi
Patch:          asciidoc.diff
Patch3:         git-nohardlink.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       git-core = %{version}
Recommends:     git-svn git-cvs git-arch git-email gitk git-gui git-web
Suggests:       git-daemon

%description
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations and
full access to internals.

This package itself only provides the README of git but with the
packages it requires, it brings you a complete Git environment
including GTK and email interfaces and tools for importing source code
repositories from other revision control systems such as subversion,
CVS, and GNU arch.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>

%package core
License:        GPL v2 or later
Summary:        Core git tools
Group:          Development/Tools/Version Control
Requires:       rsync, less, openssh
Requires:       perl-base

%description core
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations and
full access to internals.

These are the core tools with minimal dependencies.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%package svn
License:        GPL v2 or later
Summary:        Git tools for importing Subversion repositories
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}, subversion
Requires:       subversion-perl

%description svn
Tools for importing Subversion repositories to the Git version control
system.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%package cvs
License:        GPL v2 or later
Summary:        Git tools for importing CVS repositories
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}, cvs, cvsps, perl-DBD-SQLite

%description cvs
Tools for importing CVS repositories to the Git version control system.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%package arch
License:        GPL v2 or later
Summary:        git-arch - Git tools for importing Arch repositories
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}, tla

%description arch
Tools for importing GNU Arch repositories to the GIT version control
system.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%package email
License:        GPL v2 or later
Summary:        Git tools for sending email
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}

%description email
Email interface for the GIT version control system.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%package daemon
License:        GPL v2 or later
Summary:        Simple Server for Git Repositories
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}
PreReq:         /usr/sbin/useradd %fillup_prereq %insserv_prereq

%description daemon
A really simple TCP git daemon. In the default configuration it allows
read only access to repositories in /srv/git/ that contain the
'git-daemon-export-ok' file.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>

%package -n gitk
License:        GPL v2 or later
Summary:        Git revision tree visualiser
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}, tk >= 8.4
Supplements:    packageand(git-core:tk)

%description -n gitk
Grapical tool for visualization of revision trees of projects
maintained in the Git version control system. It name gitk indicates
that it's written using the Tk Widget set.

A simple Tk based graphical interface for common Git operations is
found in the package git-gui.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>
    Junio C Hamano <junkio@cox.net>

%package gui
License:        GPL v2 or later
Summary:        Grapical tool for common git operations
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}, tk >= 8.4
Supplements:    packageand(git-core:tk)

%description gui
A Tcl/Tk based graphical user interface to Git. git-gui focuses on
allowing users to make changes to their repository by making new
commits, amending existing ones, creating branches, performing local
merges, and fetching/pushing to remote repositories.

Unlike gitk, git-gui focuses on commit generation and single file
annotation, and does not show project history. It does however supply
menu actions to start a gitk session from within git-gui.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>

%package web
License:        GPL v2 or later
Summary:        Git Web Interface
Group:          Development/Tools/Version Control
Requires:       git-core = %{version}
Supplements:    packageand(git-core:apache2)

%description web
CGI script that allows browsing git repositories via web interface.

The apache2 configuration contained in this package installs a virtual
directory /git/ that calls the cgi script.



Authors:
--------
    Linus Torvalds <torvalds@osdl.org>

%prep
%setup -q
%patch -p1
%patch3 -p1

%build
cat > .make <<'EOF'
#!/bin/bash
make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" \
       GITWEB_CONFIG="/etc/gitweb.conf" \
       GITWEB_PROJECTROOT="/srv/git" \
       WITH_OWN_SUBPROCESS_PY=YesPlease NO_EXPAT=1 \
       DESTDIR=$RPM_BUILD_ROOT \
       V=1 \
       prefix=%{_prefix} mandir=%{_mandir} \
       gitexecdir=%{gitexecdir} \
       "$@"
EOF
#
chmod 755 .make
./.make all %{?jobs:-j %jobs}
%{!?_without_docs: ./.make doc} 

%install
./.make install %{!?_without_docs: install-doc}
### git-web
cp gitweb/INSTALL INSTALL.gitweb
cp gitweb/README README.gitweb
install -d ${RPM_BUILD_ROOT}/usr/share/git-web
install -d ${RPM_BUILD_ROOT}/etc/apache2/conf.d
install -m 755 gitweb/gitweb.cgi $RPM_BUILD_ROOT/usr/share/git-web/gitweb.cgi
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/apache2/conf.d/gitweb.conf
for i in git-favicon.png git-logo.png gitweb.css; do
  install -m 644 gitweb/$i $RPM_BUILD_ROOT/usr/share/git-web
done
### git-daemon
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/git-daemon
install -d -m 755 $RPM_BUILD_ROOT%{_sbindir}
ln -s ../../etc/init.d/git-daemon $RPM_BUILD_ROOT%{_sbindir}/rcgit-daemon
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.git-daemon
install -d -m 755 $RPM_BUILD_ROOT/srv/git
install -d -m 755 $RPM_BUILD_ROOT/etc/xinetd.d
install -m 644 %{S:4} $RPM_BUILD_ROOT/etc/xinetd.d/git
###
(find $RPM_BUILD_ROOT%{_bindir} -type f | grep -vE "archimport|svn|cvs|email|gitk|daemon|gui" | sed -e s@^$RPM_BUILD_ROOT@@)                   > bin-man-doc-files
(find $RPM_BUILD_ROOT%{gitexecdir} -mindepth 1 | grep -vE "archimport|svn|cvs|email|gitk|daemon|gui" | sed -e s@^$RPM_BUILD_ROOT@@)               >> bin-man-doc-files
(find $RPM_BUILD_ROOT%{_mandir} $RPM_BUILD_ROOT/Documentation -type f | grep -vE "archimport|svn|git-cvs|email|gitk|daemon|gui" | sed -e s@^$RPM_BUILD_ROOT@@ -e 's/$/*/' ) >> bin-man-doc-files
( pushd perl
  perl Makefile.PL
  make -f perl.mak DESTDIR=${RPM_BUILD_ROOT}  install_vendor
)
rm -rf ${RPM_BUILD_ROOT}/usr/lib/perl5/site_perl
%perl_process_packlist
find $RPM_BUILD_ROOT/%_mandir -type f -print0 | xargs -0 chmod 644
install -m 644 -D contrib/completion/git-completion.bash $RPM_BUILD_ROOT/etc/bash_completion.d/git.sh
#
# apparmor profile for git-web
#
install -d -m 755 $RPM_BUILD_ROOT/etc/apparmor.d
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/apparmor.d
#
%if %{dist_has_fdupes}
# create predictable symlinks to make apparmor profile work
for i in git git-upload-archive; do
  rm $RPM_BUILD_ROOT%{_bindir}/$i
  ln -s %{gitexecdir}/git-add $RPM_BUILD_ROOT%{_bindir}/$i
done
if ! test -f $RPM_BUILD_ROOT%{gitexecdir}/git-add; then
  echo "git-add is not a regular file, apparmor profile won't work!" >&2
  exit 1
fi
# use symlinks instead of hardlinks in sub-commands
%fdupes -s $RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre daemon
if ! /usr/bin/getent passwd git-daemon >/dev/null; then
  /usr/sbin/useradd -r -d /var/lib/empty -s /bin/false -c "git daemon" -g nogroup git-daemon || :
fi

%post daemon
%{fillup_and_insserv -n git-daemon}

%postun daemon
%{insserv_cleanup}

%preun daemon
%stop_on_removal

%files
%defattr(-,root,root)
%doc README

%files svn
%defattr(-,root,root)
%{gitexecdir}/*svn*
%doc Documentation/*svn*.txt
%{!?_without_docs: %{_mandir}/man1/*svn*.1*}
%{!?_without_docs: %doc Documentation/*svn*.html }

%files cvs
%defattr(-,root,root)
%doc Documentation/*git-cvs*.txt
%{_bindir}/git-cvs*
%{gitexecdir}/*cvs*
%{!?_without_docs: %{_mandir}/man1/*cvs*.1*}
%{!?_without_docs: %doc Documentation/*git-cvs*.html }

%files arch
%defattr(-,root,root)
%doc Documentation/git-archimport.txt
%{gitexecdir}/git-archimport
%{!?_without_docs: %{_mandir}/man1/git-archimport.1*}
%{!?_without_docs: %doc Documentation/git-archimport.html }

%files email
%defattr(-,root,root)
%doc Documentation/*email*.txt
%{gitexecdir}/*email*
%{!?_without_docs: %{_mandir}/man1/*email*.1*}
%{!?_without_docs: %doc Documentation/*email*.html }

%files daemon
%defattr(-,root,root)
%doc Documentation/*daemon*.txt
%{gitexecdir}/*daemon*
/etc/init.d/git-daemon
%{_sbindir}/rcgit-daemon
%dir /srv/git
/var/adm/fillup-templates/sysconfig.git-daemon
%{!?_without_docs: %{_mandir}/man1/*daemon*.1*}
%{!?_without_docs: %doc Documentation/*daemon*.html }
%config(noreplace) /etc/xinetd.d/git

%files -n gitk
%defattr(-,root,root)
%doc Documentation/*gitk*.txt
%{_bindir}/gitk
/usr/share/gitk
%{!?_without_docs: %{_mandir}/man1/*gitk*.1*}
%{!?_without_docs: %doc Documentation/*gitk*.html }

%files gui
%defattr(-,root,root)
%doc Documentation/*gui*.txt
%{gitexecdir}/git-gui*
/usr/share/git-gui
%{!?_without_docs: %{_mandir}/man1/*gui*.1*}
%{!?_without_docs: %doc Documentation/*gui*.html }

%files web
%defattr(-,root,root)
%doc README.gitweb INSTALL.gitweb
%dir /etc/apache2
%dir /etc/apache2/conf.d
%config(noreplace) /etc/apache2/conf.d/gitweb.conf
/usr/share/git-web
/etc/apparmor.d

%files core -f bin-man-doc-files
%defattr(-,root,root)
%{_bindir}/git
%{_datadir}/git-core/
%dir %{gitexecdir}
%doc README COPYING Documentation/*.txt
%{!?_without_docs: %doc Documentation/*.html }
/var/adm/perl-modules/%{name}
%{perl_vendorlib}/Error.pm
%{perl_vendorlib}/Git.pm
%{perl_vendorarch}/auto/Git/
/etc/bash_completion.d/git.sh

%changelog
* Mon Apr 20 2009 tiwai@suse.de
- updated to 1.6.2.4:
  * The configuration parser had a buffer overflow while parsing
  an overlong value.
  * pruning reflog entries that are unreachable from the tip of
  the ref during "git reflog prune" (hence "git gc") was very
  inefficient.
  * "git-add -p" lacked a way to say "q"uit to refuse staging any
  hunks for the remaining paths.  You had to say "d" and then ^C.
  * "git-checkout <tree-ish> <submodule>" did not update the index
  entry at the named path; it now does.
  * "git-fast-export" choked when seeing a tag that does not point
  at commit.
  * "git init" segfaulted when given an overlong template location
  via the --template= option.
  * "git-ls-tree" and "git-diff-tree" used a pathspec correctly
  when deciding to descend into a subdirectory but they did not
  match the individual paths correctly.  This caused pathspecs
  "abc/d ab" to match "abc/0" ("abc/d" made them decide to
  descend into the directory "abc/", and then "ab" incorrectly
  matched "abc/0" when it shouldn't).
  * "git-merge-recursive" was broken when a submodule entry was
  involved in a criss-cross merge situation.
* Thu Apr 16 2009 tiwai@suse.de
- updated to 1.6.2.2:
  * A longstanding confusing description of what --pickaxe option
  of git-diff does has been clarified in the documentation.
  * "git-blame -S" did not quite work near the commits that were
  given on the command line correctly.
  * "git diff --pickaxe-regexp" did not count overlapping matches
  correctly.
  * "git diff" did not feed files in work-tree representation to
  external diff and textconv.
  * "git-fetch" in a repository that was not cloned from anywhere
  said it cannot find 'origin', which was hard to understand for
  new people.
  * "git-format-patch --numbered-files --stdout" did not have to
  die of incompatible options; it now simply ignores
    --numbered-files as no files are produced anyway.
  * "git-ls-files --deleted" did not work well with GIT_DIR&GIT_WORK_TREE.
  * "git-read-tree A B C..." without -m option has been broken for
  a long time.
  * git-send-email ignored --in-reply-to when --no-thread was given.
  * 'git-submodule add' did not tolerate extra slashes and ./ in
  the path it accepted from the command line; it now is more lenient.
  * git-svn misbehaved when the project contained a path that began
  with two dashes.
  * import-zips script (in contrib) did not compute the common
  directory prefix correctly.
  * miscompilation of negated enum constants by old gcc (2.9)
  affected the codepaths to spawn subprocesses.
- updated to 1.6.2.3:
  * Setting an octal mode value to core.sharedrepository
  configuration to restrict access to the repository to group
  members did not work as advertised.
  * A fairly large and trivial memory leak while rev-list shows
  list of reachable objects has been identified and plugged.
  * "git-commit --interactive" did not abort when underlying
  "git-add -i" signaled a failure.
  * git-repack (invoked from git-gc) did not work as nicely as it
  should in a repository that borrows objects from neighbours
  via alternates mechanism especially when some packs are marked
  with the ".keep" flag to prevent them from being repacked.
- fix the start-check in git-daemon script (bnc#494824)
* Mon Mar 16 2009 tiwai@suse.de
- updated to 1.6.2.1:
  * .gitignore learned to handle backslash as a quoting mechanism
  for comment introduction character "#".
  * timestamp output in --date=relative mode used to display
  timestamps that are long time ago in the default mode
  * git-add -i/-p now works with non-ASCII pathnames.
  * "git hash-object -w" did not read from the configuration file
  from the correct .git directory.
  * git-send-email learned to correctly handle multiple Cc:
  addresses.
* Thu Mar 05 2009 tiwai@suse.de
- updated to 1.6.2:
  * @{-1} is a way to refer to the last branch you were on.
  * The location of .mailmap file can be configured
  * Improvements on "git add -p"
  * Improvements on "git am" behavior and options
  * "git blame" aligns author names better
  * "git clone" now makes its best effort when cloning from an
  empty repository
  * "git checkout -" is a shorthand for "git checkout @{-1}".
  * "git cherry" defaults to whatever the current branch is
  tracking (if exists) when the <upstream> argument is not given.
  * "git cvsserver" fixes / improvements
  * New options for "git diff"
  * New options for "git filter-branch"
  * "git fsck" now checks loose objects in alternate object
  stores
  * "git gc --prune" was resurrected to allow "git gc --no-prune"
  * New option for "git mergetool"
  * "git rebase -i" can transplant a history down to root
  * "git reset --merge" option
  * "git submodule update" learned --no-fetch option.
  * "git tag" learned --contains
  For more details, see
  http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.6.2.txt
* Mon Feb 09 2009 tiwai@suse.de
- updated to 1.6.1.3:
  * "git diff --binary | git apply" pipeline did not work well
  when a binary blob is changed to a symbolic link.
  * some combinations of -b/-w/--ignore-space-at-eol to "git diff"
  did not work as expected.
  * "git grep" did not pass the -I (ignore binary) option when
  calling out an external grep program.
  * "git log" and friends include HEAD to the set of starting
  points when --all is given.  This makes a difference when you
  are not on any branch.
  * "git mv" to move an untracked file to overwrite a tracked
  contents misbehaved.
  * "git merge -s octopus" with many potential merge bases did not
  work correctly.
  * RPM binary package installed the html manpages in a wrong
  place.
  Also includes minor documentation fixes and updates.
* Thu Jan 29 2009 schwab@suse.de
- Formatting fix for manual pages.
* Thu Jan 29 2009 tiwai@suse.de
- updated to 1.6.1.2:
  * The logic for rename detectin in internal diff used by commands
  like "git diff" and "git blame" have been optimized to avoid
  loading the same blob repeatedly.
  * We did not allow writing out a blob that is larger than 2GB
  for no good reason.
  * "git format-patch -o $dir", when $dir is a relative directory,
  used it as relative to the root of the work tree, not relative
  to the current directory.
  * v1.6.1 introduced an optimization for "git push" into a
  repository (A) that borrows its objects from another
  repository (B) to avoid sending objects that are available in
  repository B, when they are not yet used by repository A.
  However the code on the "git push" sender side was buggy and
  did not work when repository B had new objects that are not
  known by the sender.  This caused pushing into a "forked"
  repository served by v1.6.1 software using "git push" from
  v1.6.1 sometimes did not work.  The bug was purely on the
  "git push" sender side, and has been corrected.
  * "git status -v" did not paint its diff output in colour even
  when color.ui configuration was set.
  * "git ls-tree" learned --full-tree option to help Porcelain
  scripts that want to always see the full path regardless of the
  current working directory.
  * "git grep" incorrectly searched in work tree paths even when
  they are marked as assume-unchanged.  It now searches in the
  index entries.
  * "git gc" with no grace period needlessly ejected packed but
  unreachable objects in their loose form, only to delete them
  right away.
* Mon Jan 26 2009 tiwai@suse.de
- updated to 1.6.1.1:
  * "git add frotz/nitfol" when "frotz" is a submodule should have
  errored out, but it didn't.
  * "git apply" took file modes from the patch text and updated
  the mode bits of the target tree even when the patch was not
  about mode changes.
  * "git bisect view" on Cygwin did not launch gitk
  * "git checkout $tree" did not trigger an error.
  * "git commit" tried to remove COMMIT_EDITMSG from the work tree
  by mistake.
  * "git describe --all" complained when a commit is described
  with a tag, which was nonsense.
  * "git diff --no-index --" did not trigger no-index (aka "use
  git-diff as a replacement of diff on untracked files") behaviour.
  * "git format-patch -1 HEAD" on a root commit failed to produce
  patch text.
  * "git fsck branch" did not work as advertised; instead it
  behaved the same way as "git fsck".
  * "git log --pretty=format:%%s" did not handle a multi-line
  subject the same way as built-in log listers (i.e. shortlog,
    --pretty=oneline, etc.)
  * "git daemon", and "git merge-file" are more careful when freopen
  fails and barf, instead of going on and writing to unopened
  filehandle.
  * "git http-push" did not like some RFC 4918 compliant DAV server
  responses.
  * "git merge -s recursive" mistakenly overwritten an untracked
  file in the work tree upon delete/modify conflict.
  * "git merge -s recursive" didn't leave the index unmerged for
  entries with rename/delete conflictd.
  * "git merge -s recursive" clobbered untracked files in the work
  tree.
  * "git mv -k" with more than one errorneous paths misbehaved.
  * "git read-tree -m -u" hence branch switching incorrectly lost
  a subdirectory in rare cases.
  * "git rebase -i" issued an unnecessary error message upon a user
  error of marking the first commit to be "squash"ed.
  * "git shortlog" did not format a commit message with multi-line
  subject correctly.
* Thu Jan 08 2009 tiwai@suse.de
- updated to 1.6.1:
  * handle properly the exit code when pager is used
  * various git-gui updates including translations
  * gitweb updates
  * many other improvements / fixes.  See release notes
  http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.6.1.txt
* Fri Dec 19 2008 lnussel@suse.de
- add apparmor profile for git-web
- don't use %%jobs for generating docu
- change gitexecdir to /usr/lib instead of %%_libdir
* Wed Dec 17 2008 tiwai@suse.de
- Fix VUL-0 Possible gitweb vulnerability: calling "git diff"
  [bnc#459664]
* Wed Nov 19 2008 tiwai@suse.de
- install git-shell and git-cvsserver as in the upstream
  (bnc#446049)
* Tue Nov 04 2008 olh@suse.de
- use fdupes only if the distribution provides it
- use libopenssl-devel only if the distribution provides it
* Fri Oct 24 2008 tiwai@suse.de
- fix git.xinetd not to run the old git-daemon (bnc#438715)
* Mon Oct 06 2008 tiwai@suse.de
- fix git-daemon init script to start (bnc#432610)
* Fri Sep 26 2008 schwab@suse.de
- Fix manual pages.
* Thu Sep 25 2008 tiwai@suse.de
- updated to 1.6.0.2:
  Mostly small bug fixes, see details in
  http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.6.0.2.txt
* Thu Sep 25 2008 tiwai@suse.de
- fix file selections of git-core package
- use symlinks for git sub-commands instead of hardlinks to make
  build system happy
* Tue Sep 09 2008 tiwai@suse.de
- updated to 1.6.0:
  * http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.6.0.txt
- updated to 1.6.0.1:
  * http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.6.0.1.txt
- install git subcommands now to libdir/git
  users have to set up properly if they want to keep the old style
  (refer git --execpath)
* Tue Sep 09 2008 lnussel@suse.de
- split off gui and web subpackages
* Mon Aug 18 2008 schwab@suse.de
- Fix name of completions file.
* Tue Aug 12 2008 tiwai@suse.de
- updated to 1.5.6.5:
  * http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.6.5.txt
  * http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.6.4.txt
  * http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.6.3.txt
  * http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.6.2.txt
  * http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.6.1.txt
* Wed Aug 06 2008 anosek@suse.cz
- fixed Add git xinetd.d file for ability to use yast2 (bnc#398361)
  - created file git.xinetd to run git under xinetd daemon
* Wed Jun 25 2008 dmueller@suse.de
- update to 1.5.6:
  * http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.6.txt
* Mon Jun 16 2008 lnussel@suse.de
- use separate package for git-daemon (bnc#382710)
- add user and install init script for git-daemon
* Tue May 20 2008 lnussel@suse.de
- install gitweb icons, style sheet and README (bnc#359882)
- build using V=1 so use of cflags can be verified by brp scripts
- fix build using --without docs
* Mon Apr 07 2008 dmueller@suse.de
- update to 1.5.4.5:
  * http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.4.5.txt
* Tue Mar 18 2008 dmueller@suse.de
- update to 1.5.4.4:
  * git svnimport was removed in favor of git svn
  * git runstatus has been removed
  * changes are available under
  http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.4.txt
  http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.4.1.txt
  http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.4.2.txt
  http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.4.3.txt
  http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.5.4.4.txt
* Mon Jan 28 2008 mmarek@suse.de
- added libopenssl-devel to BuildRequires to fix build
* Wed Jan 09 2008 schwab@suse.de
- Update to version 1.5.3.8.
  * Some documentation used "email.com" as an example domain.
  * git-svn fix to handle funky branch and project names going over
  http/https correctly.
  * git-svn fix to tone down a needlessly alarming warning message.
  * git-clone did not correctly report errors while fetching over http.
  * git-send-email added redundant Message-Id: header to the outgoing
  e-mail when the patch text already had one.
  * a read-beyond-end-of-buffer bug in configuration file updater was fixed.
  * git-grep used to show the same hit repeatedly for unmerged paths.
  * After amending the patch title in "git-am -i", the command did not
  report the patch it applied with the updated title.
* Tue Jan 08 2008 crrodriguez@suse.de
- git-cvsserver was unusable, it produced a perl failed-compilation error
  due to missing dependency on perl-DBD-Sqlite.
- update to version 1.5.3.7
  * git-send-email added 8-bit contents to the payload without
  marking it as 8-bit in a CTE header.
  * "git-bundle create a.bndl HEAD" dereferenced the symref and
  did not record the ref as 'HEAD'; this prevented a bundle
  from being used as a normal source of git-clone.
  * The code to reject nonsense command line of the form
  "git-commit -a paths..." and "git-commit --interactive
  paths..." were broken.
  * Adding a signature that is not ASCII-only to an original
  commit that is ASCII-only would make the result non-ASCII.
  "git-format-patch -s" did not mark such a message correctly
  with MIME encoding header.
  * git-add sometimes did not mark the resulting index entry
  stat-clean.  This affected only cases when adding the
  contents with the same length as the previously staged
  contents, and the previous staging made the index entry
  "racily clean".
  * git-commit did not honor GIT_INDEX_FILE the user had in the
  environment.
  * When checking out a revision, git-checkout did not report where the
  updated HEAD is if you happened to have a file called HEAD in the
  work tree.
  * "git-rev-list --objects" mishandled a tree that points at a
  submodule.
  * "git cvsimport" was not ready for packed refs that "git gc" can
  produce and gave incorrect results.
  * Many scripted Porcelains were confused when you happened to have a
  file called "HEAD" in your work tree.
* Wed Nov 28 2007 dmueller@suse.de
- update to 1.5.3.6:
  * various smaller bugfixes
- remove requires on release (#305826)
- install bash completion (#336848)
* Tue Oct 09 2007 dmueller@suse.de
- update to 1.5.3.4:
  * submodule support
  * many new features and bugfixes
* Mon Aug 06 2007 dmueller@suse.de
- update to 1.5.2.4:
  * "git checkout" failed to switch back and forth between
  branches, one of which has "frotz -> xyzzy" symlink and
  file "xyzzy/filfre", while the other one has a file
  "frotz/filfre".
  * "git prune" used to segfault upon seeing a commit that is
  referred to by a tree object (aka "subproject").
  * "git diff --name-status --no-index" mishandled an added file.
  * "git apply --reverse --whitespace=warn" still complained
  about whitespaces that a forward application would have
  introduced.
* Thu Jul 05 2007 dmueller@suse.de
- Update to 1.5.2.3:
  * fix many segfaults with the SVN gateway
  * various bugfixes
* Fri May 18 2007 dmueller@suse.de
- Update to 1.5.1.4:
  * GIT <-> SVN gateway
  * New porcelain, much improved index handling
  * git-config
  * Bare repositories refuse commands that need a working tree
  * packed ref support
  * 3-way merges can be done without rcs
  * python dependency dropped
* Sat Nov 18 2006 pbaudis@suse.cz
- Fix build failure from previous change (trivial omission)
* Fri Nov 17 2006 pbaudis@suse.cz
- Fix git-arch package containing git-archive and git-upload-archive
  [#222074]
* Fri Nov 17 2006 pbaudis@suse.cz
- Upgrade to git-1.4.3.4 - only few bugfixes, most importantly
  git-apply wouldn't apply creation/deletion patches
* Tue Nov 07 2006 ro@suse.de
- fix permissions for manpages
* Sat Oct 28 2006 meissner@suse.de
- use RPM_OPT_FLAGS also in %%install make
* Thu Oct 26 2006 pbaudis@suse.cz
- Upgrade to git-1.4.3.3 - bugfixes release
* Thu Oct 19 2006 pbaudis@suse.cz
- Update to git-1.4.3 - UI improvements, speedups, random new
  features (e.g. git-daemon name-based virtual hosting support),
  basic Git.pm
- Fixes build failures due to asciidoc incompatibilities
* Tue Jul 25 2006 pbaudis@suse.cz
- Update to git-1.4.1.1 - includes gitweb, many bugfixes, some
  commands are converted from shell to C, aliasing support,
  documentation improvements and so on.
- Junio's patch got applied upstream.
- Pre-create /srv/git for bare Git repositories hosting.
- Install gitweb to /srv/www/cgi-bin pre-configured to look
  for packages at /srv/git.
* Mon May 15 2006 pbaudis@suse.cz
- Update to git-core-1.3.1 - git-cvsserver pserver interface,
  .git/refs/remotes branches support, blame/annotate tools,
  builtin diff, faster and better rename detection and number
  of other stuff.
- Add Junio's patch for saner handling of symlink refs. This is
  an important bugfix since without this, it is impossible to
  bisect behind kernel linux-v2.6.15-g117a93d.
- Olaf Hering's cutnpaste patch got applied upstream.
* Mon Mar 13 2006 ro@suse.de
- change requires from "openssh-clients" to "openssh"
  (former does not exist)
* Fri Mar 10 2006 pbaudis@suse.cz
- Add Olaf Hering's patch for easier cut'n'pasting.
* Wed Mar 08 2006 pbaudis@suse.cz
- Update to git-core 1.2.4.
- This is a security fix: there was a buffer overflow when checking
  out a tree with an insanely long symlink. (No Bugzilla id.)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 pbaudis@suse.cz
- Fix the specfile build (no expat and asciidoc, xmlto problems)
* Tue Jan 17 2006 pbaudis@suse.cz
- Update to git-core 1.1.3.
- Modify the specfile so that it looks more like the stock one.
- Split bits to subpackages
* Sun Dec 04 2005 schwab@suse.de
- Fix embedded paths.
* Wed Oct 05 2005 schwab@suse.de
- Don't build documentation in parallel.
* Mon Sep 19 2005 schwab@suse.de
- Update to git-core 0.99.7.
- Install manpages.
* Fri Aug 05 2005 kasievers@suse.de
- New version 0.99.3git20050905
  rename git to git-core, to match the upstream package name
* Sun Jul 03 2005 kasievers@suse.de
- New version 0.7git20050703
* Thu Jun 30 2005 kasievers@suse.de
- New version 20050630
* Fri Jun 24 2005 kasievers@suse.de
- New version 20050624
* Sun Jun 12 2005 kay.sievers@suse.de
- New version 20050612
* Thu Jun 02 2005 kay.sievers@suse.de
- Split git/Cogito into separate packages
- Update git to version 20050602
* Fri May 20 2005 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Specfile cleanup.
* Fri May 20 2005 mmj@suse.de
- %%_libdir -> FHS libexec
* Fri May 20 2005 skh@suse.de
- initial package
